com.ibm.openpages.api.metadata

## Interface IFieldDependency

-     public interface IFieldDependency

  Expresses a dependency to another field (controller) part of the same Type Definition. Field dependencies are used by UI controls.

  See Also:
    `FieldDependencyType`
  Category:
    MetaData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IControllerFieldMap>` | `getControllers()` Returns the fields and their values that control the state of the current IFieldDefinition for this dependency type.
    `FieldDependencyType` | `getDependencyType()` Returns the dependency type (PICKLIST, VISIBILITY, EDITABILITY, REQUIREDNESS).
    `LogicalOperatorType` | `getLogicalOperator()` Returns the logical operator used to group conditions from controllers (AND, OR).
    `boolean` | `isDisabled()`

- - ### Method Detail

    - #### getDependencyType

          FieldDependencyType getDependencyType()

      Returns the dependency type (PICKLIST, VISIBILITY, EDITABILITY, REQUIREDNESS).

      Returns:
        FieldDependencyType the field dependency type

    - #### getControllers

          java.util.List<IControllerFieldMap> getControllers()

      Returns the fields and their values that control the state of the current IFieldDefinition for this dependency type.

      Returns:
        List the list of controlling field map

    - #### getLogicalOperator

          LogicalOperatorType getLogicalOperator()

      Returns the logical operator used to group conditions from controllers (AND, OR).

      Returns:
        LogicalOperatorType the logical operator type

    - #### isDisabled

          boolean isDisabled()

      Returns:
        Whether or not the dependency is enabled.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.